#include <forms.h>
extern "C" {
#include "gui.h"
};

static FD_gui *gui = NULL;

void moveit (int x, int y) {

  printf("(%3.0i,%3.0i)", gui->folder->x, gui->folder->y);
  fl_set_object_position(gui->folder, x, y);
  printf("->(%3.0i,%3.0i)\n", gui->folder->x, gui->folder->y);

};

void cbx (FL_OBJECT *obj, long) {
  
  int x = (int)fl_get_slider_value(obj);
  moveit(x, gui->folder->y);

};

void cby (FL_OBJECT *obj, long) {

  int y = (int)fl_get_slider_value(obj);
  moveit(gui->folder->x, y);

};

int main (int argc, char **argv) {

  fl_initialize(&argc, argv, "tab", 0, 0);
  
  gui = (FD_gui *)create_form_gui();
  fl_show_form(gui->gui, FL_PLACE_CENTER, FL_FULLBORDER, "Form");

  // problem happens regardless of whether there are tabs or not
  fl_addto_tabfolder(gui->folder, "tab1", create_form_gui()->gui);
  fl_addto_tabfolder(gui->folder, "tab1", create_form_gui()->gui);

  while (true)
    fl_do_forms();

};
